Package com.ocient.rest

# Class MetricsResponse.Serializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<MetricsResponse>
com.ocient.rest.MetricsResponse.Serializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

Enclosing class:
  MetricsResponse

    public static class MetricsResponse.Serializer
    extends com.fasterxml.jackson.databind.JsonSerializer<MetricsResponse>

Returns a flat array of JSON objects, each representing a metric. Intended for consumption by InfluxDB, the sink in the Ocient Managed Service log collection pipeline. The flat hierarchy simplifies the InfluxDB JSON input data configuration. NOTE: The InfluxDB JSON v2 input data format supports nested JSON objects, but the Ocient Managed Service prefers the simplified configuration provided by the flat hierarchy. See https://docs.influxdata.com/telegraf/v1.22/data_formats/input/json/

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Serializer()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `serialize​(MetricsResponse value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers)` |

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Serializer

public Serializer()

## Method Details

### serialize

public void serialize​(MetricsResponse value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers) throws IOException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<MetricsResponse>`
Throws:
  `IOException`